Index: appendices/glossary.xml
===================================================================
--- appendices/glossary.xml	(revision b03b3dbe050a490423b39e11b93524c4e14bccf5)
+++ appendices/glossary.xml	(revision f384a9d6af4718fcab870410c6b067ba233283a8)
@@ -87,4 +87,7 @@
 <glossdef><para>Common Object Request Broker Architecture</para></glossdef></glossentry>
 
+<glossentry id="gCPU"><glossterm><acronym>CPU</acronym></glossterm>
+<glossdef><para>Central Processing Unit</para></glossdef></glossentry>
+
 <glossentry id="gCRD"><glossterm><acronym>CRD</acronym></glossterm>
 <glossdef><para>Color Rendering Dictionary</para></glossdef></glossentry>
@@ -137,4 +140,7 @@
 <glossentry id="gDVI"><glossterm><acronym>DVI</acronym></glossterm>
 <glossdef><para>DeVice Independent</para></glossdef></glossentry>
+
+<glossentry id="gELF"><glossterm><acronym>ELF</acronym></glossterm>
+<glossdef><para>Executable and Linking Format</para></glossdef></glossentry>
 
 <glossentry id="gEPP"><glossterm><acronym>EPP</acronym></glossterm>
Index: general.ent
===================================================================
--- general.ent	(revision b03b3dbe050a490423b39e11b93524c4e14bccf5)
+++ general.ent	(revision f384a9d6af4718fcab870410c6b067ba233283a8)
@@ -109,4 +109,5 @@
 <!ENTITY cpio-version                 "2.5">
 <!ENTITY mc-version                   "4.6.0">
+<!ENTITY sysstat-version              "5.0.5">
                                      
 <!-- Chapter 12 -->                  
Index: general/sysutils/sysstat.xml
===================================================================
--- general/sysutils/sysstat.xml	(revision f384a9d6af4718fcab870410c6b067ba233283a8)
+++ general/sysutils/sysstat.xml	(revision f384a9d6af4718fcab870410c6b067ba233283a8)
@@ -0,0 +1,189 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY sysstat-download-http "http://perso.wanadoo.fr/sebastien.godard/sysstat-5.0.5.tar.gz">
+  <!ENTITY sysstat-download-ftp  "ftp://ibiblio.org/pub/linux/system/status/sysstat-5.0.5.tar.gz">
+  <!ENTITY sysstat-size          "123 KB">
+  <!ENTITY sysstat-buildsize     "1.2 MB">
+  <!ENTITY sysstat-time          ".12 SBU">
+]>
+
+<sect1 id="sysstat" xreflabel="Sysstat-&sysstat-version;">
+<?dbhtml filename="sysstat.html"?>
+<title>Sysstat-&sysstat-version;</title>
+
+<sect2>
+<title>Introduction to <application>Sysstat</application></title>
+
+<para>The <application>Sysstat</application> package contains utilities to 
+monitor system performance and usage activity. 
+<application>Sysstat</application> contains the <command>sar</command> utility, 
+common to many commercial Unixes, and tools you can schedule via cron to collect 
+and historize performance and activity data.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&sysstat-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&sysstat-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &sysstat-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &sysstat-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &sysstat-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>Sysstat</application> dependencies</title>
+<sect4><title>Recommended</title>
+<para><xref linkend="fcron"/></para></sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>Sysstat</application></title>
+
+<para>Install <application>Sysstat</application> by running the 
+following commands:</para>
+
+<screen><userinput><command>make config &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><command>make config</command>: Runs the interactive configuration 
+process.  The first question prompts you for an "Installation directory". 
+Reply with <filename class="directory">/usr</filename>, as this is equivalent 
+to <application>Autoconf</application>'s <parameter>--prefix=/usr</parameter> 
+parameter to <command>configure</command>. For all other prompts, you may 
+press <command>Enter</command> to accept the (very sane) defaults.</para>
+
+</sect2>
+
+<sect2>
+<title>Configuring <application>Sysstat</application></title>
+
+<sect3><title>Cron information</title>
+
+<para>To begin gathering <application>Sysstat</application> history information, 
+you must add to, or create a privileged user's crontab. The default history 
+data location is <filename class="directory">/var/log/sa</filename>. The user 
+running <application>Sysstat</application> utilities via cron must have write 
+access to this location.</para>
+
+<para>Below is an example of what to install in the crontab. Adjust the
+parameters to suit your needs. Use <command>man sa1</command> and
+<command>man sa2</command> for information about the commands.</para>
+
+<screen><userinput># 8am-7pm activity reports every 10 minutes during weekdays
+0 8-18 * * 1-5 /usr/lib/sa/sa1 600 6 &amp;
+ 
+# 7pm-8am activity reports every hour during weekdays
+0 19-7 * * 1-5 /usr/lib/sa/sa1 &amp;
+ 
+# Activity reports every hour on Saturday and Sunday
+0 * * * 0,6 /usr/lib/sa/sa1 &amp;
+ 
+# Daily summary prepared at 19:05
+5 19 * * * /usr/lib/sa/sa2 -A &amp;</userinput></screen>
+
+<para>Ensure you submit the revised crontab to the cron daemon.</para>
+</sect3>
+
+<sect3><title>Startup script information</title>
+
+<para>At system startup, a LINUX RESTART message must be inserted in the daily 
+data file to reinitialize the kernel counters. Create a 
+<filename>sysstat</filename> bootscript to accomplish this using the following
+commands:</para>
+
+<screen><userinput><command>cat &gt; /etc/rc.d/init.d/sysstat &lt;&lt; "EOF"</command>
+#!/bin/sh
+# Begin $rc_base/init.d/sysstat
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
+
+. /etc/sysconfig/rc
+. $rc_functions
+
+case "$1" in
+        start)
+                echo "Calling the system activity data collector (sadc)..."
+                /usr/lib/sa/sadc -F -L -
+                evaluate_retval
+                ;;
+
+        restart)
+                echo "Calling the system activity data collector (sadc)..."
+                /usr/lib/sa/sadc -F -L -
+                evaluate_retval
+                ;;
+        *)
+                echo "Usage: $0 {start|restart}"
+                exit 1
+                ;;
+esac
+
+# End $rc_base/init.d/sysstat
+<command>EOF
+chmod 754 /etc/rc.d/init.d/sysstat</command></userinput></screen>
+
+<para>The <filename>sysstat</filename> bootscript only needs to run at
+system startup, therefore only one symlink is required. Create this symlink in 
+<filename class="directory">/etc/rc.d/rcsysinit.d</filename> using the following 
+command:</para>
+
+<screen><userinput><command>ln -sf ../init.d/sysstat /etc/rc.d/rcsysinit.d/S85sysstat</command></userinput></screen>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>Sysstat</application> package contains 
+<command>iostat</command>, 
+<command>mpstat</command>, 
+<command>sar</command>, 
+<filename>sa1</filename>, 
+<filename>sa2</filename> and 
+<filename>sadc</filename>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>iostat</title>
+<para><command>iostat</command> reports <acronym>CPU</acronym> statistics and 
+input/output statistics for devices and partitions.</para></sect3>
+
+<sect3><title>mpstat</title>
+<para><command>mpstat</command> reports individual or combined processor 
+related statistics.</para></sect3>
+
+<sect3><title>sar</title>
+<para><command>sar</command> collects, reports and saves system activity 
+information.</para></sect3>
+
+<sect3><title>sa1</title>
+<para><filename>sa1</filename> collects and stores binary data in the system 
+activity daily data file. It is a front end to <filename>sadc</filename> 
+designed to be run from cron.</para></sect3>
+
+<sect3><title>sa2</title>
+<para><filename>sa2</filename> writes a summarized daily activity report. It 
+is a front end to <command>sar</command> designed to be run from 
+cron.</para></sect3>
+
+<sect3><title>sadc</title>
+<para><filename>sadc</filename> is the system activity data collector, used as 
+a backend for <command>sar</command>.</para></sect3>
+
+</sect2>
+
+</sect1>
Index: general/sysutils/sysutils.xml
===================================================================
--- general/sysutils/sysutils.xml	(revision b03b3dbe050a490423b39e11b93524c4e14bccf5)
+++ general/sysutils/sysutils.xml	(revision f384a9d6af4718fcab870410c6b067ba233283a8)
@@ -24,4 +24,5 @@
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="cpio.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mc.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sysstat.xml"/>
 
 </chapter>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b03b3dbe050a490423b39e11b93524c4e14bccf5)
+++ introduction/welcome/changelog.xml	(revision f384a9d6af4718fcab870410c6b067ba233283a8)
@@ -18,4 +18,7 @@
 
 <itemizedlist>
+
+<listitem><para>June 26th, 2004 [randy]: Added new package Sysstat-5.0.5, 
+updated Glossary.</para></listitem>
 
 <listitem><para>June 26th, 2004 [igor]: Linked libFLAC with libm
Index: template/template.xml
===================================================================
--- template/template.xml	(revision b03b3dbe050a490423b39e11b93524c4e14bccf5)
+++ template/template.xml	(revision f384a9d6af4718fcab870410c6b067ba233283a8)
@@ -5,7 +5,6 @@
   %general-entities;
 
-  <!ENTITY template-buildsize "">
   <!-- Place this in the general.ent file
-  <!ENTITY template-version ""> 
+  <!ENTITY template-version "">
   -->
 
@@ -13,4 +12,5 @@
   <!ENTITY template-download-ftp  "ftp://">
   <!ENTITY template-size          "?? MB">
+  <!ENTITY template-buildsize     "?? MB">
   <!ENTITY template-time          "?? SBU">
 ]>
